Subject: bug#43058: 27.1; Support for other colour font formats

From: Peter Oliver <[email-masked]>
Date: Sun, 25 Sep 2022 23:47:02 +0100 (BST)

On Thu, 22 Sep 2022, YAMAMOTO Mitsuharu wrote:

> The above font does not have the 'COLR' table, but the 'SVG ' one.  So
> I think it is an SVG-in-OpenType font.

Apologies, I appear to have pasted the wrong URL previously.  The file that I intended to link to was https://github.com/mavit/openmoji/raw/nanoemoji/font/glyf_colr_0/OpenMoji-Color.COLRv0.ttf

> The patch below avoids this by taking the average of non-zero width of
> the ASCII chars.  But glyphs are not displayed because SVG-in-OpenType
> support in cairo is still in progress.

But it does allow the above COLR v0 font to be displayed here on Fedora 35.  Thank you.

-- 
Peter Oliver